org.apache.sysds.runtime.controlprogram.paramserv

## Class PSWorker

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.paramserv.PSWorker

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FederatedPSControlThread, LocalPSWorker

    public abstract class PSWorker
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`MatrixObject` `getFeatures()`
`MatrixObject` `getLabels()`
`abstract String` `getWorkerName()`
`void` `setFeatures(MatrixObject features)`
`void` `setLabels(MatrixObject labels)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setFeatures

    public void setFeatures(MatrixObject features)

#### setLabels

    public void setLabels(MatrixObject labels)

#### getFeatures

    public MatrixObject getFeatures()

#### getLabels

    public MatrixObject getLabels()

#### getWorkerName

    public abstract String getWorkerName()